Subject: Re: [PATCH net-next] tcp/dccp: fix inet_reuseport_add_sock()

From: David Ahern <[email-masked]>
Date: Thu, 7 Apr 2016 08:18:51 -0600

On 4/6/16 11:07 PM, Eric Dumazet wrote:
> From: Eric Dumazet <[email-masked]>
>
> David Ahern reported panics in __inet_hash() caused by my recent commit.
>
> The reason is inet_reuseport_add_sock() was still using
> sk_nulls_for_each_rcu() instead of sk_for_each_rcu().
> SO_REUSEPORT enabled listeners were causing an instant crash.
>
> While chasing this bug, I found that I forgot to clear SOCK_RCU_FREE
> flag, as it is inherited from the parent at clone time.
>
> Fixes: 3b24d854cb35 ("tcp/dccp: do not touch listener sk_refcnt under synflood")
> Signed-off-by: Eric Dumazet <[email-masked]>
> Reported-by: David Ahern <[email-masked]>
> ---

Fixed the problem I as hiting.

Tested-by: David Ahern <[email-masked]>